---@meta

---@class Translation : Animation
Translation = {
	--- Gets the offset values.
	--- @return number offsetX, number offsetY The x and y offsets.
	--- @example
	--- local offsetX, offsetY = myTranslation:GetOffset()
	GetOffset = function(self) end,

	--- Sets the offset values.
	--- @param offsetX number The x offset.
	--- @param offsetY number The y offset.
	--- @example
	--- myTranslation:SetOffset(100, 50)
	SetOffset = function(self, offsetX, offsetY) end,
}
